package schedframe.resources.computing.profiles.energy.airthroughput.ui;

import java.util.List;

import schedframe.Parameters;
import schedframe.resources.computing.profiles.energy.airthroughput.AirThroughputState;

public interface AirThroughputInterface {
	
	public String getAirThroughputState();
	
	public boolean setAirThroughputState(String airThroughputState);
	
	public boolean supportAirThroughputState(String powerState);
	
	public List<AirThroughputState> getSupportedAirThroughputStates() throws NoSuchFieldException;
	
	public double getPowerConsumption(String state) throws NoSuchFieldException;
	
	public Parameters getParameters();
}
